Subject: Re: [PATCH net-next] stmmac: added device tree support for fixed_phy and phy_addr

From: Giuseppe CAVALLARO <[email-masked]>
Date: Fri, 14 Jun 2013 08:29:24 +0200

On 6/13/2013 2:08 PM, 'Kukjin Kim' wrote:
> Byungho An wrote:
>>
>>
>> On 6/13/2013 7:04 PM, Giuseppe CAVALLARO wrote:
>>> On 6/13/2013 3:25 AM, Byungho An wrote:
>>>>
>>>> This patch adds device tree support for fixed_phy and phy_addr it
>> means
>>>> fixed_phy and phy_addr can be set in device tree file. "fixed_phy" and
>>>> "phy_addr" can be added in the device tree blob.
>>>
>>> concerning this, we had added some work to pass from the platform
>>> the fixed bus name.
>>>
>>> http://git.stlinux.com/?p=stm/linux-
>>>
>> stm.git;a=blob;f=drivers/net/ethernet/stmicro/stmmac/stmmac_platform.c;h=2
>> d540e1d2151e4412a5af5356d24d
>>> 5c6b66cf72e;hb=HEAD
>>>
> Looks good.
>
>>> I wanted to also do a clean-up and update the DT support because
>>> the binding documentation remains obsolete etc.
>>>
> Yeah, I see...
>
>>
>> I think your previous work for DT support can cover my patch.
>> Do you have a plan to update and clean-up for DT support?
>>
> Same here, would be nice if the patch could be seen in upcoming kernel.

for sure, I'll plan to send this work asasp

>
> If any help is required, let us know. Byungho will help you.

ok, thx

peppe

> Thanks,
> - Kukjin